package main

type Image struct {
	Name   string
	Pinned bool
}

// ContainerRuntime defines the interface for managing containerd images
type ContainerRuntime interface {
	List() ([]Image, error)
	Pin(imageRef string) error
	Unpin(imageRef string) error
	Pull(imageRef string) error
	Remove(imageRef string) error
}
